require 'spec_helper'

describe Masheri::QueryBuilder do
  it "should build a simple query" do
    builder = Masheri::QueryBuilder.new
    builder.from("members").to_s.should == "SELECT * FROM members"
  end

  it "should build a query with pagination" do
    builder = Masheri::QueryBuilder.new
    builder.from("members").page(25).items(100).to_s.should == "SELECT * FROM members PAGE 25 ITEMS 100"
  end
end
